at.chipkarte.client.elgaad.soap

## Class Impfempfehlung

- Object
- - at.chipkarte.client.elgaad.soap.Impfempfehlung

-     public class Impfempfehlung
      extends Object

  Daten zur Impfempfehlung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Impfempfehlung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Kommentar[]` | `getAnmerkungen()` Liste von Anmerkungen.
    `AuthorBody` | `getAuthor()` Person oder System, das die Empfehlung generiert.
    `String` | `getEnde()` Datum, bis zu dem die Impfung empfohlen ist.
    `DokumentReferenz` | `getImpfplan()` Referenz auf den der Empfehlung zugrunde liegenden Impfplan.
    `Impfschema` | `getImpfschema()` Angabe, um welche Impfung oder Teilimpfung es sich handelt .
    `Impfstoff` | `getImpfstoff()` Empfohlener Impstoff.
    `Impfziel[]` | `getImpfziel()` Liste der Impfziele gegen bestimmte Krankheiten oder Erreger.
    `Code` | `getKlassifikation()` Klassifikation.
    `String` | `getStart()` Datum, ab dem die Impung empfohlen.
    `void` | `setAnmerkungen(Kommentar[] anmerkungen)`
    `void` | `setAuthor(AuthorBody author)`
    `void` | `setEnde(String ende)`
    `void` | `setImpfplan(DokumentReferenz impfplan)`
    `void` | `setImpfschema(Impfschema impfschema)`
    `void` | `setImpfstoff(Impfstoff impfstoff)`
    `void` | `setImpfziel(Impfziel[] impfschutz)`
    `void` | `setKlassifikation(Code klassifikation)`
    `void` | `setStart(String start)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Impfempfehlung

          public Impfempfehlung()

  - ### Method Detail

    - #### getAuthor

          public AuthorBody getAuthor()

      Person oder System, das die Empfehlung generiert. Siehe `AuthorBody`.
      Angabe: Kann.
      Returns:
        Author

    - #### setAuthor

          public void setAuthor(AuthorBody author)

    - #### getKlassifikation

          public Code getKlassifikation()

      Klassifikation. Siehe `Code`.
      Angabe: Keine Eingabe erlaubt. Dient nur der Ausgabe.
      mögliche Werte: siehe Terminologieserver ValueSets eImpf_SpecialCaseVaccination_VS für Immuniserungseintrag
      Returns:
        Klassifikation

    - #### setKlassifikation

          public void setKlassifikation(Code klassifikation)

    - #### getStart

          public String getStart()

      Datum, ab dem die Impung empfohlen.
      Angabe: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ`
      Returns:
        Start

    - #### setStart

          public void setStart(String start)

    - #### getEnde

          public String getEnde()

      Datum, bis zu dem die Impfung empfohlen ist.
      Angabe: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ`
      Returns:
        Ende

    - #### setEnde

          public void setEnde(String ende)

    - #### getImpfstoff

          public Impfstoff getImpfstoff()

      Empfohlener Impstoff. Siehe `Impfstoff`.
      Angabe: Kann.
      Returns:
        Impfstoff

    - #### setImpfstoff

          public void setImpfstoff(Impfstoff impfstoff)

    - #### getImpfziel

          public Impfziel[] getImpfziel()

      Liste der Impfziele gegen bestimmte Krankheiten oder Erreger. Siehe `Impfschutz`.
      Angabe: Muss.
      Returns:
        Liste Impfziel

    - #### setImpfziel

          public void setImpfziel(Impfziel[] impfschutz)

    - #### getAnmerkungen

          public Kommentar[] getAnmerkungen()

      Liste von Anmerkungen. Siehe `Kommentar`.
      Angabe: Kann.
      Returns:
        Liste von Anmerkungen

    - #### setAnmerkungen

          public void setAnmerkungen(Kommentar[] anmerkungen)

    - #### getImpfplan

          public DokumentReferenz getImpfplan()

      Referenz auf den der Empfehlung zugrunde liegenden Impfplan. Siehe `DokumentReferenz`.
      Angabe: Kann.
      Returns:
        Impfplan

    - #### setImpfplan

          public void setImpfplan(DokumentReferenz impfplan)

    - #### getImpfschema

          public Impfschema getImpfschema()

      Angabe, um welche Impfung oder Teilimpfung es sich handelt . Siehe `Impfschema`.
      Angabe: Muss.
      Returns:
        Impfschema

    - #### setImpfschema

          public void setImpfschema(Impfschema impfschema)